regina::DoubleDescription Class Reference
Vertex Enumeration

Implements a modified double description method for polytope vertex enumeration. More...

`#include <enumerate/doubledescription.h>`

## Static Public Member Functions

template<class RayClass , class OutputIterator >
static void | enumerateExtremalRays (OutputIterator results, const MatrixInt &subspace, const EnumConstraints *constraints, ProgressTracker *tracker=0, unsigned long initialRows=0)
| Determines the extremal rays of the intersection of the n-dimensional non-negative orthant with the given linear subspace. More...

## Detailed Description

Implements a modified double description method for polytope vertex enumeration.

For details of the underlying algorithm, see "Optimizing the double description method for normal surface enumeration", Benjamin A. Burton, Math. Comp. 79 (2010), 453-484.

All routines of interest within this class are static; no object of this class should ever be created.

Python:\n Not present.

The documentation for this class was generated from the following file:

- enumerate/doubledescription.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).